Bug 615878 - Kernel panic - not syncing: Attempted to kill init!
Kernel panic - not syncing: Attempted to kill init!
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 04:06 EDT by Attila
Modified: 2012-06-12 08:28 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-12 08:28:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Attila 2010-07-19 04:06:42 EDT
Description of problem:

This message appears on first boot after the installation of Fedora 12 i386 PAE and Fedora 13 i386 PAE using RocketRaid 3120 Raid1 and 4GB of RAM:


dracut: Mounted root filesystem /dev/sda1
dracut: Loading SELinux policy
load_policy[421]: Segfault at 4 ip 002d4823 sp bfb08b50 error 6 in ld-2.12.so[2bf000+1e000]
dracut: Segmentation fault
dracut: switching root
init[1]: Segfault at 4 ip 00f0f823 sp bf90c2d0 error 6 in ld-2.12.so[efa000+1e000]
Kernel panic - not syncing: Attempted to kill init!
Pid: 1, comm: init Not tainted 2.6.33.3-85.fc13.i686.PAE #1
Call Trace:
[<c0780b4f>] ? printk+0xf/0x18
[<c0780a8d>] panic+0x39/0xec
[<c0440800>] do_exit+0x5d/0x615
[<c044a0a8>] ? __sigqueue_free+0x2d/0x30
[<c044a436>] ? __dequeue_signal+0xd6/0xfe
[<c044c41b>] dequeue_signal+0xb1/0x120
[<c0440e23>] do_group_exit+0x6b/0x94
[<c044c7f8>] get_signal_to_deliver+0x36e/0x389
[<c0784e87>] ? do_page_fault+0x0/0x2fa
[<c0407c94>] do_signal+0x5a/0x6f4
[<c04a4a10>] ? free_pages+0x1d/0x1f
[<c04b1fa1>] ? print_wma_addr+0xb0/0xcf
[<c0780b4f>] ? printk+0xf/0x18
[<c04262ac>] ? __bad_area_nosemaphore+0xe1/0xf4
[<c0426304>] ? bad_area+0x35/0x3b
[<c0785085>] ? do_page_fault+0x1fe/0x2fa
[<c0784e87>] ? do_page_fault+0x0/0x2fa
[<c040834d>] do_notify_resume+0x1f/0x79
[<c0782cb4>] work_notifysig+0x13/0x1b
[drm:drm_fb_helper_panic *ERROR* panic occured, switching back to text console


The Hardware is:
- Raid controller: RocketRaid 3120
- Motherboard: Asus M4N68T and MSI 770-C45
- RAM: Kingston HyperX KHX1333C7D3K2/4GX
- CPU: AMD Athlon 2 X4 605e


Version-Release number of selected component (if applicable):
2.6.32.14-x.fc12.i686.PAE
2.6.33.3-85.fc13.i686.PAE

How reproducible:
Always

Steps to Reproduce:
- Install 4GB of RAM
- Put the Fedora DVD into the DVD-Drive, install Fedora
- Reboot the system
- Result: Kernel panic

- Install 2GB of RAM
- Put the Fedora DVD into the DVD-Drive, install Fedora
- Reboot the system
- Result: The system is up and running
  
Actual results:
Kernel panic

Expected results:
Fedora should be up and running

Additional info:
The bug is depending on the size of the installed RAM. Using only 2GB of RAM as i mentioned the system is running as expexted.
With NVidia-Onboard-Raid instead of the RocketRaid 3120 controller the system is running also with 4GB of RAM.
Comment 1 Nivag 2010-09-28 02:06:49 EDT
Fedora 14 Aplha
AMD 4200+ dual core 64 bit
4 GB

After the last set of yum updates, a few hours ago.
after a seg faults got the message:
'Kernel panic - not syncing: Attempted to kill init!'
Note that the after the stack trace the right most 2 lights on the keyboard were flashing and the keyboard was unresponsive.

Not sure how to capture the details, so the following is manually transcribed (may have transcription errors):

[...]
dracut: Switching root
init[1]: segfault @ 364be1fbf8 ip 000000364bc033c7 sp 00007fffcd4967d0 error 7 in 1d-2.12.90.so[364bc00000+1f000]
init used greatest stack depth: 2856 bytes left
Kernel panic - not syncing: Attempted to kill init!'
Pid: 1 , comm: init Not tainted 2.6.35.4-28.fc14.x86_64 #1
Call Trace: 
[...]
panic occurred, switching back to text console
Comment 2 Bug Zapper 2011-06-01 09:29:29 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-29 09:18:13 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Attila 2011-08-11 06:59:53 EDT
The bug is still there in Fedora 14 and 15. Therefore i reopened this bug.
Comment 5 Josh Boyer 2011-08-11 08:08:01 EDT
The initrd is getting a segfault on your machine and exiting.  That isn't really a kernel problem.

You should probably try running memtest86+ overnight to see if any memory errors show up.
Comment 6 Attila 2011-09-05 04:36:21 EDT
The memtest86+ went through with no error. Before I wrote this report, I have tested the system already with different RAM to make sure that this is not a memory bug.
Like I mentioned before the kernel panic appears only using the RocketRaid controller and 4GB of RAM instead of 2GB.
The combination of the NVidia-Onboard-Raid and 4GB of RAM is OK.
Comment 7 Josh Boyer 2012-06-04 11:17:25 EDT
Are you still seeing this with the 2.6.43/3.3 kernel updates in F15/F16?  If so, the driver being used for the RocketRAID controller is hptiop.ko, correct?
Comment 8 Nivag 2012-06-04 13:24:49 EDT
Not seen this in Fedora 16, in either my original AMD4200+, or my newer quad core AMD.
Comment 9 Josh Boyer 2012-06-04 14:09:08 EDT
Nivag, was your bug identical to the original report?  In that you were using the RocketRAID card with more than 4GB of DRAM?

Note You need to log in before you can comment on or make changes to this bug.